HTTP APIEndpoints
Flush external state
POST
Uploads local event history and the latest completed checkpoint to external storage and returns the resulting checkpoint reference. Requires a management token and configured persistence.
bearerheader
AuthorizationBearer <token>id*stringOpaque session ID.
Match
^[a-fA-F0-9]{32}$Flush external state
application/json- response
checkpoint?stringerror?stringhistory_bytes*integernative_checkpoint?stringpending*booleanresume_offset*integertime?stringFormat
date-timecurl -X POST 'http://127.0.0.1:8080/sessions/string/flush' \ -H 'Authorization: Bearer <BRAIN_TOKEN>'{ "checkpoint": "string", "error": "string", "history_bytes": 0, "native_checkpoint": "string", "pending": true, "resume_offset": 0, "time": "2019-08-24T14:15:22Z"}